version: '3.3'

services:
  drupal:
    restart: "unless-stopped"
    image: drupal:8.9
    ports:
      - "8001:80"
    environment:
      - MYSQL_USERNAME=${MYSQL_USERNAME}
      - MYSQL_PASSWORD=${MYSQL_PASSWORD}
      - MYSQL_DATABASE=${MYSQL_DATABASE}
    volumes:
      - "./modules:/var/www/html/modules"
      - "./profiles:/var/www/html/profiles"
      - "./themes:/var/www/html/themes"
      - "./sites:/var/www/html/sites"

  mariadb:
    restart: "unless-stopped"
    image: mariadb:10
    environment:
      MYSQL_USER: ${MYSQL_USERNAME}
      MYSQL_PASSWORD: ${MYSQL_PASSWORD}
      MYSQL_ROOT_PASSWORD: ${MYSQL_ROOT_PASSWORD}
      MYSQL_DATABASE: ${MYSQL_DATABASE}
    volumes:
      - "./persistent-data/mariadb:/var/lib/mysql"
